auth_all.h File Reference

Global authentication controls. More...

`#include "auth.h"`
`#include "auth_unix.h"`
`#include "auth_kerberos.h"`
`#include "auth_globus.h"`
`#include "auth_hostname.h"`
`#include "auth_address.h"`
`#include "auth_ticket.h"`

Go to the source code of this file.

## Functions

int | auth_register_byname (const char *name)
| Enables a specific authentication mode.
int | auth_register_all (void)
| Enable all authentication modes.

## Detailed Description

Global authentication controls.

Chirp has a flexible authentication system that allows users to identify themselves to severs in many different ways. This module controls which methods are currently active.

Most programs should call auth_register_all to enable all modes by default, and only call auth_register_byname to choose a specific method when directed by the user with the -a command line option.

## Function Documentation

## auth_register_byname()

int auth_register_byname | ( | const char * | name | ) |

Enables a specific authentication mode.

If called multiple times, the methods will be attempted in the order chosen.

Parameters

  name

  The authentication mode, which may be:
  - "globus"
  - "kerberos"
  - "unix"
  - "hostname"
  - "address"
  - "ticket"

See also
  auth_register_all

## auth_register_all()

int auth_register_all | ( | void |  | ) |

Enable all authentication modes.

Enables all authentication modes, in a default order.

See also
  auth_register_byname